Proposal: Drop GDB support for Python versions < 2.6

Kevin Buettner kevinb@redhat.com
Wed Feb 20 22:11:00 GMT 2019


On Wed, 20 Feb 2019 21:44:39 +0000
Jan Vrany <jan.vrany@fit.cvut.cz> wrote:

> Actually, I'd even be fine with more radical move, dropping support 
> for 2.x altogether. Python 2.7 support will end in less a year 
> from now anyway. 

I'm not ready to drop support for all of 2.X.

Though if we did, we'd be able to remove many of the ifdefs from the
C/C++ files in gdb/python.

Kevin



More information about the Gdb mailing list